Next: HOSTNM, Previous: GETUID, Up: Intrinsic Procedures

### 8.108 `GMTIME` — Convert time to GMT info

Description:
  Given a system time value TIME (as provided by the `TIME8` intrinsic), fills VALUES with values extracted from it appropriate to the UTC time zone (Universal Coordinated Time, also known in some countries as GMT, Greenwich Mean Time), using `gmtime(3)`.
Standard:
  GNU extension
Class:
  Subroutine
Syntax:
  `CALL GMTIME(TIME, VALUES)`
Arguments:

  TIME | An `INTEGER` scalar expression corresponding to a system time, with `INTENT(IN)`.
  VALUES | A default `INTEGER` array with 9 elements, with `INTENT(OUT)`.

Return value:
  The elements of VALUES are assigned as follows:
  1. Seconds after the minute, range 0–59 or 0–61 to allow for leap seconds
  2. Minutes after the hour, range 0–59
  3. Hours past midnight, range 0–23
  4. Day of month, range 0–31
  5. Number of months since January, range 0–12
  6. Years since 1900
  7. Number of days since Sunday, range 0–6
  8. Days since January 1
  9. Daylight savings indicator: positive if daylight savings is in effect, zero if not, and negative if the information is not available.
See also:
  CTIME, LTIME, TIME, TIME8